/* Mathematiques de l'informatique graphique    */
/* Position en 3D                               */
/*                                              */
/* Mars 2021                                    */

#ifndef ____POS3D____
#define ____POS3D____

#include "CH3D.h"

class Pos3D : public CH3D {

  public :

    /* Construit l'origine                      */

    Pos3D(void);

    /* Construit la position y,z)               */

    Pos3D(float xp,float yp,float zp);

    /* Construit un clone de la Pos3D p         */

    Pos3D(Pos3D *p);

    /* Construit un clone de la CH3D ch         */

    Pos3D(CH3D *ch);

    /* Destructeur                              */

    ~Pos3D(void);
};

#endif
